REM (C)2010-13 David Jones
REM Thanks to Mike Hall

REM CEContentWiz
@echo off
@echo Executing CEContentWiz Postlink.bat
@echo http://CEContentWiz.codeplex.com
@echo .

:CHECHVER1
if NOT %_WINCEOSVER%WXYZ == WXYZ GOTO CHECKVER2
@Echo _WINCEOSVER not found
GOTO ABORT

:CHECKVER2
if %_WINCEOSVER% GEQ 600 GOTO CHECKVERDONE
@Echo _WINCEOSVER not recognised. Shoukld be 600,700 or 800.
GOTO ABORT

:CHECKVERDONE


@echo Copying Content Files to Targeted Debug Directory


GOTO COPY1_%_WINCEOSVER%

:COPY1_600
@echo Copying Content Files from Resource Files folder to Targeted Debug Directory
set _CORECONPATH=%CommonProgramFiles%\Microsoft Shared\CoreCon\1.0\Target\wce400\%_TGTCPU%
copy "%BUILDROOT%\Resources\*.*" "%_PROJECTROOT%\cesysgen\oak\target\%_TGTCPU%\%WINCEDEBUG%" /Y
@echo Copying Content Files from CoreCon Folder to Targeted Debug Directory
copy     "%_CORECONPATH%\clientshutdown.exe"       "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\CMAccept.exe"             "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\DeviceAgentTransport2.dll" "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\eDbgTL.dll"               "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\TcpConnectionA.dll"       "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\emulatorstuub.exe"        "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
if NOT %_TGTCPU%=x86 (
copy     "%_CORECONPATH%\emulatorstub.exe"         "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
)
GOTO COPY2

:COPY1_700
@echo Copying Content Files from Resource Files folder to Targeted Debug Directory
set _CORECONPATH=%CommonProgramFiles%\Microsoft Shared\CoreCon\1.0\Target\wce400\%_TGTCPU%
copy "%BUILDROOT%\Resources\*.*" "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
@echo Copying Content Files from CoreCon Folder to Targeted Debug Directory
copy     "%_CORECONPATH%\clientshutdown.exe"       "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\CMAccept.exe"             "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\DeviceAgentTransport2.dll" "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\eDbgTL.dll"               "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\TcpConnectionA.dll"       "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\emulatorstuub.exe"        "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
if NOT %_TGTCPU%=x86 (
copy     "%_CORECONPATH%\emulatorstub.exe"         "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
)
GOTO COPY2

:COPY1_800
REM Small change for Compact 2013
@echo Copying Content Files from Resource Files folder to Targeted Debug Directory
set _CORECONPATH=%CommonProgramFiles%\Microsoft Shared\Embedded Tools\CoreCon\%VisualStudioVersion%\Target\wce%_WINCEOSVER%\%_TGTCPU%
copy ".\Resources\*.*" "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
@echo Copying Content Files from CoreCon Folder to Targeted Debug Directory
copy     "%_CORECONPATH%\clientshutdown3.exe"       "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\CMAccept3.exe"             "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\ConmanClient3.exe"         "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\DeviceAgentTransport3.dll" "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\eDbgTL3.dll"               "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
copy     "%_CORECONPATH%\TcpConnectionA3.dll"       "%SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%"  /Y
GOTO COPY2

@echo .
@echo CORECVON Folder Path = "%_CORECONPATH%"
@echo.

:COPY2
@echo .
@echo Copying Content Files to FlatRelease Directory
rem copy "%BUILDROOT%\Resources\*.*" %_FLATRELEASEDIR%  /Y

GOTO COPY2_%_WINCEOSVER%


:COPY2_600
@echo Copying Content Files from Resource Files folder to FlatRelease Directory
copy "%BUILDROOT%\Resources\*.*" %_FLATRELEASEDIR% /Y
@echo Copying Content Files from CoreCon folder to FlatRelease Directory
copy     "%_CORECONPATH%\clientshutdown.exe"      %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\CMAccept.exe"            %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\DeviceAgentTransport2.dll" %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\eDbgTL.dll"              %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\TcpConnectionA.dll"      %_FLATRELEASEDIR%  /Y
if NOT %_TGTCPU%=x86 (
copy     "%_CORECONPATH%\emulatorstub.exe"        %_FLATRELEASEDIR%  /Y
)
GOTO DONE_COPY

:COPY2_700
@echo Copying Content Files from Resource Files folder to FlatRelease Directory
copy "%BUILDROOT%\Resources\*.*" %_FLATRELEASEDIR%  /Y
@echo Copying Content Files from CoreCon folder to FlatRelease Directory
copy     "%_CORECONPATH%\clientshutdown.exe"      %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\CMAccept.exe"            %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\DeviceAgentTransport2.dll" %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\eDbgTL.dll"               %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\TcpConnectionA.dll"      %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\emulatorstub.exe"        %_FLATRELEASEDIR%  /Y
if NOT %_TGTCPU%=x86 (
copy     "%_CORECONPATH%\emulatorstub.exe"        %_FLATRELEASEDIR%  /Y
)
GOTO DONECOPY

:COPY2_800
REM Small change for Compact 2013
@echo Copying Content Files from Resource Files folder to FlatRelease Directory
copy ".\Resources\*.*" %_FLATRELEASEDIR%  /Y
@echo Copying Content Files from CoreCon folder to FlatRelease Directory
copy     "%_CORECONPATH%\clientshutdown3.exe"      %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\CMAccept3.exe"            %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\ConmanClient3.exe"            %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\DeviceAgentTransport3.dll" %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\eDbgTL3.dll"               %_FLATRELEASEDIR%  /Y
copy     "%_CORECONPATH%\TcpConnectionA3.dll"      %_FLATRELEASEDIR%  /Y
GOTO DONECOPY

@Echo CE6/ Compact 7 Need to edit below :DONECOPY match filenames

:DONECOPY
@echo .
@echo Done copying. Now checking.
If NOT EXIST  %SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%\clientshutdown3.exe (
rem		@echo Error clientshutdown.exe is missing from the Targeted Debug Directory.
	@echo Error clientshutdown3.exe is missing from the Targeted Debug Directory.
	GOTO ABORT
)
If NOT EXIST  %SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%\CMAccept3.exe (
REM 	@echo Error CMAccept.exe is missing from the Targeted Debug Directory.
	@echo Error CMAccept3.exe is missing from the Targeted Debug Directory.
	GOTO ABORT
)
If NOT EXIST  %SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%\ConmanClient3.exe (
REM 	@echo Error ConmanClient2.exe is missing from the Targeted Debug Directory.
	@echo Error ConmanClient3.exe is missing from the Targeted Debug Directory.
	GOTO ABORT
)
If NOT EXIST  %SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%\DeviceAgentTransport3.dll (
REM	@echo Error DeviceAgentTransport2.dll is missing from the Targeted Debug Directory.
	@echo Error DeviceAgentTransport3.dll is missing from the Targeted Debug Directory.
	GOTO ABORT
)
If NOT EXIST  %SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%\eDbgTL3.dll (
REM		@echo Error eDbgTL.dll is missing from the Targeted Debug Directory.
	@echo Error eDbgTL3.dll is missing from the Targeted Debug Directory.
	GOTO ABORT
)
If NOT EXIST  %SG_OUTPUT_ROOT%\oak\target\%_TGTCPU%\%WINCEDEBUG%\TcpConnectionA3.dll (
REM		@echo Error TcpConnectionA.dll is missing from the Targeted Debug Directory.
	@echo Error TcpConnectionA3.dll is missing from the Targeted Debug Directory.
	GOTO ABORT
)

If NOT EXIST  %_FLATRELEASEDIR%\clientshutdown3.exe (
REN	@echo Error clientshutdown.exe is missing from the FLATRELEASE Directory.
	@echo Error clientshutdown3.exe is missing from the FLATRELEASE Directory.
	GOTO ABORT
)
If NOT EXIST  %_FLATRELEASEDIR%\CMAccept3.exe (
REM	@echo Error CMAccept.exe is missing from the from the FLATRELEASE Directory.
	@echo Error CMAccept3.exe is missing from the from the FLATRELEASE Directory.
	GOTO ABORT
)
If NOT EXIST  %_FLATRELEASEDIR%\ConmanClient3.exe (
REM	@echo Error ConmanClient2.exe is missing from the from the FLATRELEASE Directory.
	@echo Error ConmanClient3.exe is missing from the from the FLATRELEASE Directory.
	GOTO ABORT
)
If NOT EXIST  %_FLATRELEASEDIR%\DeviceAgentTransport3.dll (
REM		@echo Error DeviceAgentTransport2.dll is missing from the FLATRELEASE Directory.
	@echo Error DeviceAgentTransport3.dll is missing from the FLATRELEASE Directory.

	GOTO ABORT
)
If NOT EXIST  %_FLATRELEASEDIR%\eDbgTL3.dll (
REM		@echo Error eDbgTL.dll is missing from the FLATRELEASE Directory.
	@echo Error eDbgTL3.dll is missing from the FLATRELEASE Directory.
	GOTO ABORT
)
If NOT EXIST  %_FLATRELEASEDIR%\TcpConnectionA3.dll (
REM		@echo Error TcpConnectionA.dll is missing from the FLATRELEASE Directory.
	@echo Error TcpConnectionA3.dll is missing from the FLATRELEASE Directory.
	GOTO ABORT
)

@echo All CoreCon Folder files copied.
@echo .

GOTO NEXT1

:ABORT
@echo An ERROR occurred
if %9==999 THIS_IS_A_DUMMY_ERROR_TO_FORCE_ABNORMAL_ABORT_AND_RETURN_ERROR_CONDITION_TO_BUILD
REM Returning ERRORLEVEL not equal to 0 isn't picked up by BUild
SET %ERRORLEVEL%=1000
GOTO SKIP
:NEXT1


@echo .
@echo Building .cab file
@echo .

PUSHD
cd %_FLATRELEASEDIR%
IF EXIST CoreCon3.inf (
    cabwiz CoreCon3.inf
	IF EXIST CoreCon3.cab (
		@echo Generated .cab file: CoreCon3.cab in FLATRELEASEDIR.
	) else (
		@echo Generation of .cab file: CoreCon3.cab failed.
	)
	del CoreCon3.inf
)else (
	@echo No file CoreCon3.inf for .cab file generation
)
 
POPD

@echo .
@echo Done Copying
@echo .

:SKIP

